<f:section name="MenuRecursionStep">
    <f:if condition="{currentPage.hasSubPages}">
        <v:page.menu pageUid="{currentPage.uid}">
            <f:if condition="{menu}">
                <ul class="dropdown-menu {subclass}" aria-labelledby="navbarDropdown">
                    <f:for each="{menu}" as="currentSubPage" iteration="counter">
                        <f:if condition="{currentSubPage.hasSubPages}">
                            <f:then>
                                <li class="nav-item dropdown dropdown2">
                                    <v:page.link class="nav-link dropdown-item dropdown-toggle" pageUid="{currentSubPage.uid}" additionalAttributes="{role: 'button',aria-expanded: 'false' }" data="{bs-toggle: 'dropdown'}"  />
                                    <f:render section="MenuRecursionStep" arguments="{currentPage: '{currentSubPage}', subclass:'submenu2'}" />
                                </li>
                            </f:then>
                            <f:else>
                                <li class="nav-item">
                                    <v:page.link class="nav-link {f:if(condition: startLevelPage.active, then: 'active')}" pageUid="{currentSubPage.uid}" additionalAttributes="{role: 'button',aria-expanded: 'false' }"  />
                                </li>
                            </f:else>
                        </f:if>
                        <f:comment>
                        <li class="nav-item {f:if(condition: currentSubPage.hasSubPages, then: 'dropdown dropdown2')}">
                            <v:page.link class="nav-link dropdown-item {f:if(condition: currentSubPage.hasSubPages, then: 'dropdown-toggle')}" pageUid="{currentSubPage.uid}" additionalAttributes="{role: 'button',aria-expanded: 'false' }" data="{bs-toggle: 'dropdown'}"  />

                            <f:render section="MenuRecursionStep" arguments="{currentPage: '{currentSubPage}', subclass:'submenu2'}" />
                        </li>
                        </f:comment>
                    </f:for>
                </ul>
            </f:if>
        </v:page.menu>
    </f:if>
</f:section>


<f:section name="MenuRecursionStart">
    <v:page.menu pageUid="{recursionStartPageUid}">
        <f:if condition="{menu}">
            <ul class="navbar-nav mb-2 mb-lg-0">
                <f:for each="{menu}" as="startLevelPage">
                    <f:comment>
                    <li class="nav-item {f:if(condition: startLevelPage.hasSubPages, then: 'dropdown')}">
                        <v:page.link class="nav-link {f:if(condition: startLevelPage.hasSubPages, then: 'dropdown-toggle')} {f:if(condition: startLevelPage.active, then: 'active')}" pageUid="{startLevelPage.uid}" additionalAttributes="{role: 'button',aria-expanded: 'false' }" data="{bs-toggle: 'dropdown'}"  />
                        <f:render section="MenuRecursionStep" arguments="{currentPage: '{startLevelPage}'}"/>
                    </li>
                    </f:comment>
                    <f:if condition="{startLevelPage.hasSubPages}">
                        <f:then>
                            <li class="nav-item dropdown">
                                <v:page.link class="nav-link dropdown-toggle {f:if(condition: startLevelPage.active, then: 'active')}" pageUid="{startLevelPage.uid}" additionalAttributes="{role: 'button',aria-expanded: 'false' }" data="{bs-toggle: 'dropdown'}"  />
                                <f:render section="MenuRecursionStep" arguments="{currentPage: '{startLevelPage}'}"/>
                            </li>
                        </f:then>
                        <f:else>
                            <li class="nav-item">
                                <v:page.link class="nav-link {f:if(condition: startLevelPage.active, then: 'active')}" pageUid="{startLevelPage.uid}" additionalAttributes="{role: 'button',aria-expanded: 'false' }"  />
                            </li>
                        </f:else>
                    </f:if>
                </f:for>
            </ul>
        </f:if>
    </v:page.menu>
</f:section>
